Bug 89861 - [MAINTAINER UPDATE]: security/libtomcrypt
Summary: [MAINTAINER UPDATE]: security/libtomcrypt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-02 18:40 UTC by Wesley Shields
Modified: 2005-12-03 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.08 KB, patch)
2005-12-02 18:40 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2005-12-02 18:40:02 UTC
Libtomcrypt is now up to 1.08.

The attached patch enhances the MAINTAINER_MODE testing to use both math
backends.  As this is only to be used by the maintainer I figure it's
safe to not explictly add BUILD_DEPENDS there, and just assume the
maintainer has installed both math backends.

How-To-Repeat: N/A
Comment 1 Tim Bishop freebsd_committer 2005-12-02 20:08:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tdb

I'll handle this one.
Comment 2 Tim Bishop freebsd_committer 2005-12-02 20:55:03 UTC
State Changed
From-To: open->feedback

Wesley, 

Your patch fails to build on 4.x. I notice it didn't do this with 
the old version, so maybe it's a problem with version 1.08 of 
libtomcrypt? Here's the build log: 

http://www.cs.kent.ac.uk/people/staff/tdb/tinderbox/tb/errors/4-STABLE-FreeBSD/libtomcrypt-1.08.log 

If it's not fixable then we should mark it as BROKEN on 4.x. 

Thanks.
Comment 3 Tim Bishop freebsd_committer 2005-12-03 19:30:23 UTC
State Changed
From-To: feedback->closed

Committed with (approved) modifications. Thanks!